.macro AddNID funcname, nid

	.globl  \funcname
	.ent    \funcname
\funcname = \nid
	.end    \funcname

.endm

	.file	1 "sdk.c"
	.section .mdebug.eabi32
	.section .gcc_compiled_long32
	.previous
	.text
	.align	2

# UtilsForUser
	AddNID sceKernelLibcGettimeofday, 0x08C929B4
	AddNID sceKernelDcacheWritebackAll, 0x08C9298C
	AddNID sceKernelLibcClock, 0x08C92994
	AddNID sceKernelDcacheWritebackInvalidateAll, 0x08C9299C
	AddNID sceKernelLibcTime, 0x08C929A4
	AddNID sceKernelDcacheWritebackInvalidateRange, 0x08C929AC

# ThreadManForUser
	AddNID sceKernelDelayThread, 0x08C929B4
	AddNID sceKernelStartThread, 0x08C929EC
	AddNID sceKernelGetThreadId, 0x08C92A0C
	AddNID sceKernelTerminateDeleteThread, 0x08C92A24
	AddNID sceKernelCreateThread, 0x08C92A34
	AddNID sceKernelTerminateThread, 0x08C92A4C
	AddNID sceKernelExitDeleteThread, 0x08C92A74
	AddNID sceKernelSleepThread, 0x08C92A94
	AddNID sceKernelExitThread, 0x08C92AAC

# sceSuspendForUser
	AddNID sceKernelPowerUnlock, 0x08C92B14
	AddNID sceKernelPowerLock, 0x08C92B2C

# LoadExecForUser
	AddNID sceKernelExitGame, 0x08C92B74

# IoFileMgrForUser
	AddNID sceIoWrite, 0x08C92B84
	AddNID sceIoDevctl, 0x08C92B8C
	AddNID sceIoRead, 0x08C92B94
	AddNID sceIoRename, 0x08C92BA4
	AddNID sceIoClose, 0x08C92BAC
	AddNID sceIoDopen, 0x08C92BC4
	AddNID sceIoDread, 0x08C92BD4
	AddNID sceIoDclose, 0x08C92BDC
	AddNID sceIoOpen, 0x08C92BE4
	AddNID sceIoLseek, 0x08C92BEC

# sceNetInet
	AddNID sceNetInetSendto, 0x08C92C44
	AddNID sceNetInetGetsockname, 0x08C92C4C
	AddNID sceNetInetInit, 0x08C92C54
	AddNID sceNetInetBind, 0x08C92C5C
	AddNID sceNetInetSetsockopt, 0x08C92C64
	AddNID sceNetInetConnect, 0x08C92C6C
	AddNID sceNetInetGetsockopt, 0x08C92C74
	AddNID sceNetInetShutdown, 0x08C92C7C
	AddNID sceNetInetSend, 0x08C92C84
	AddNID sceNetInetSocket, 0x08C92C8C
	AddNID sceNetInetClose, 0x08C92C94
	AddNID sceNetInetTerm, 0x08C92C9C
	AddNID sceNetInetRecvfrom, 0x08C92CA4
	AddNID sceNetInetRecv, 0x08C92CAC
	AddNID sceNetInetListen, 0x08C92CB4
	AddNID sceNetInetAccept, 0x08C92CBC
	AddNID sceNetInetGetpeername, 0x08C92CC4
	AddNID sceNetInetPoll, 0x08C92CCC
	AddNID sceNetInetGetErrno, 0x08C92CD4
	AddNID sceNetApctlDisconnect, 0x08C92CDC
	AddNID sceNetApctlGetInfo, 0x08C92CE4
	AddNID sceNetApctlAddHandler, 0x08C92CEC
	AddNID sceNetApctlTerm, 0x08C92CF4
	AddNID sceNetApctlConnect, 0x08C92CFC
	AddNID sceNetApctlInit, 0x08C92D04

# sceWlanDrv
	AddNID sceWlanGetEtherAddr, 0x08C92D94
	AddNID sceWlanGetSwitchState, 0x08C92D9C

# sceAudio
	AddNID sceAudioInputBlocking, 0x08C92FF4
	AddNID sceAudioOutputBlocking, 0x08C93004

# sceDisplay
	AddNID sceDisplaySetMode, 0x08C9304C
	AddNID sceDisplaySetFrameBuf, 0x08C93054
	AddNID sceDisplayWaitVblankCB, 0x08C9305C

# sceCtrl
	AddNID sceCtrlSetSamplingMode, 0x08C93064
	AddNID sceCtrlPeekBufferPositive, 0x08C9306C
	AddNID sceCtrlSetSamplingCycle, 0x08C93074

# sceNet
	AddNID sceNetEtherNtostr, 0x08C9307C
	AddNID sceNetTerm, 0x08C93084
	AddNID sceNetInit, 0x08C9308C
	AddNID sceNetEtherStrton, 0x08C93094

# sceRtc
	AddNID sceRtcGetCurrentTick, 0x08C930B4

# sceGe_user
	AddNID sceGeEdramGetAddr, 0x08C93114
	AddNID sceGeListSync, 0x08C9311C
	AddNID sceGeListEnQueue, 0x08C9312C
	AddNID sceGeDrawSync, 0x08C93134

	AddNID sceKernelPrintf, 0x08C92ABC

	.ident	"MOH-SDK"

