#include "sdk.h"

void memset(void *ptr, byte c, int size)
{
	byte *p1 = ptr;
	byte *p2 = ptr + size;
	while(p1 != p2) {
		*p1 = c;
		p1++;
	}
}

void memcpy(void *out, void *in, int size)
{
	byte *pout = out;
	byte *pin = in;
	int i;
	for(i = 0; i < size; i++) {
		*pout = *pin;
		pout++;
		pin++;
	}
}

int strlen(byte *text)
{
	int i = 0;
	while(*text) {
		text++;
		i++;
	}
	return i;
}

